Bug 445142 - Review Request: libcapseo - Realtime encoding/decoding library
Review Request: libcapseo - Realtime encoding/decoding library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 445143
  Show dependency treegraph
 
Reported: 2008-05-04 13:36 EDT by Shawn Starr
Modified: 2008-07-23 03:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 00:52:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2008-05-04 13:36:25 EDT
License of code is GPLv2+

Spec file: http://www.sh0n.net/spstarr/fedora/libcapseo/result/libcapseo.spec

mock results:  http://www.sh0n.net/spstarr/fedora/libcapseo/result/ 

rpmlint shows warnings for missing documentation for -devel and -tools (none
available).

Please validate.
Comment 1 Rex Dieter 2008-05-05 12:16:13 EDT
Quick-n-dirty initial comments:

1. this is a prerelease, so use something along the lines of:
Release: 0.1.%{snapshot}%{?dist}
instead.

2. -devel should have
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

3.  -tools,
Requires: mesa-libGL
why?  shouldn't this get auto-dep'd?)

4.  %files tools 
missing %defattr
Comment 2 Rex Dieter 2008-05-05 15:15:54 EDT
Corrolary to 2, ditto (Req: %{name}...) for -tools subpkg.

scratch build (with most of those fixes):
http://koji.fedoraproject.org/koji/taskinfo?taskID=596625
Comment 3 Rex Dieter 2008-05-05 15:24:05 EDT
scratch build looks good.  Make changes as suggested, and I'll approve this.
Comment 4 Shawn Starr 2008-05-05 20:13:35 EDT
New package uploaded, with changes made

Spec file: http://www.sh0n.net/spstarr/fedora/libcapseo/result/libcapseo.spec

mock results:  http://www.sh0n.net/spstarr/fedora/libcapseo/result/
Comment 5 Rex Dieter 2008-05-07 14:58:59 EDT
Looks good, APPROVED.

One small item: move
./autogen.sh
to %setup section, not %build
Comment 6 Shawn Starr 2008-05-07 15:14:13 EDT
Will change that, also for BZ 445143 which has the same build process
Comment 7 Shawn Starr 2008-05-14 17:50:58 EDT
New Package CVS Request
=======================
Package Name: libcapseo
Short Description: Realtime encoding/decoding library
Owners: spstarr
Branches: F-9
InitialCC: spstarr
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-15 12:13:21 EDT
cvs done.
Comment 9 Shawn Starr 2008-05-16 00:52:05 EDT
Commited to CVS devel, pending F-9
Comment 10 Shawn Starr 2008-05-27 16:05:09 EDT
New Package CVS Request
=======================
Package Name: libcapseo
Short Description: Realtime encoding/decoding library
Owners: spstarr
Branches: F-8, F-9
InitialCC: spstarr
Cvsextras Commits: yes
Comment 11 Shawn Starr 2008-05-27 16:12:46 EDT
Package Change Request
======================
Package Name: libcapseo
New Branches: F-8


We really should make this one format, kinda silly to have to know the field 
template names.
Comment 12 Kevin Fenzi 2008-05-30 15:47:08 EDT
Ideally, we will get pkgdb to just have a form/web ui for requesting things... 

cvs done.
Comment 13 Fedora Update System 2008-07-18 16:35:07 EDT
libcaptury-0.3.0-0.1.20080323gitcca4e3c.fc9,libcapseo-0.2.0-0.1.20080603gita6ec446.fc9 has been submitted as an update for Fedora 9
Comment 14 Fedora Update System 2008-07-23 03:20:36 EDT
libcaptury-0.3.0-0.1.20080323gitcca4e3c.fc9, libcapseo-0.2.0-0.1.20080603gita6ec446.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.